package com.yonge.cooleshow.portal.domain;

import com.yonge.cooleshow.mbg.model.*;
import com.yonge.cooleshow.portal.dto.ProductCategorySmallVo;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 首页内容返回信息封装
 * Created by macro on 2019/1/28.
 */

public class HomeContentResult {
    @ApiModelProperty("轮播广告")
    private List<SmsHomeAdvertise> advertiseList;

    @ApiModelProperty("商品分类")
    private List<ProductCategorySmallVo> productCategoryList;
    @ApiModelProperty("热销商品")
    private List<PmsProduct> hotProductList;

    @ApiModelProperty("商品类型")
    private List<PmsProductAttributeCategory> productAttributeCategoryList;

    @ApiModelProperty("购物车数量")
    private long count;

    public long getCount() {
        return count;
    }

    public void setCount(long count) {
        this.count = count;
    }

    public List<SmsHomeAdvertise> getAdvertiseList() {
        return advertiseList;
    }

    public void setAdvertiseList(List<SmsHomeAdvertise> advertiseList) {
        this.advertiseList = advertiseList;
    }

    public List<ProductCategorySmallVo> getProductCategoryList() {
        return productCategoryList;
    }

    public void setProductCategoryList(List<ProductCategorySmallVo> productCategoryList) {
        this.productCategoryList = productCategoryList;
    }

    public List<PmsProduct> getHotProductList() {
        return hotProductList;
    }

    public void setHotProductList(List<PmsProduct> hotProductList) {
        this.hotProductList = hotProductList;
    }

    public List<PmsProductAttributeCategory> getProductAttributeCategoryList() {
        return productAttributeCategoryList;
    }

    public void setProductAttributeCategoryList(List<PmsProductAttributeCategory> productAttributeCategoryList) {
        this.productAttributeCategoryList = productAttributeCategoryList;
    }
}
